Lines Matching +full:gas +full:- +full:preprocessor

2 # Guess values for system-dependent variables and create Makefiles.
8 ## --------------------- ##
10 ## --------------------- ##
13 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 alias -g '${1+"$@"}'='"$@"'
19 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
20 set -o posix
32 # Work around bugs in pre-3.0 UWIN ksh.
44 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
96 rm -f conf$$.sh
113 test -z "$as_dir" && as_dir=.
114 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
124 if test ! -f "$as_myself"; then
134 test -z "$as_dir" && as_dir=.
138 if ("$as_dir/$as_base" -c '
158 # line-number line before each line; the second 'sed' does the real
159 # work. The second script uses 'N' to pair each line-number line
160 # with the numbered line, and appends trailing '-' during
163 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
167 s,$,-,
171 s,-$,,
187 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
188 *c*,-n*) ECHO_N= ECHO_C='
190 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
200 rm -f conf$$ conf$$.exe conf$$.file
202 if ln -s conf$$.file conf$$ 2>/dev/null; then
205 if test -f conf$$.exe; then
207 as_ln_s='cp -p'
209 as_ln_s='ln -s'
214 as_ln_s='cp -p'
216 rm -f conf$$ conf$$.exe conf$$.file
218 if mkdir -p . 2>/dev/null; then
221 test -d ./-p && rmdir ./-p
225 as_executable_p="test -f"
247 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
260 SHELL=${CONFIG_SHELL-/bin/sh}
357 if test -n "$ac_prev"; then
369 -bindir | --bindir | --bindi | --bind | --bin | --bi)
371 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
374 -build | --build | --buil | --bui | --bu)
376 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
379 -cache-file | --cache-file | --cache-fil | --cache-fi \
380 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
382 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
383 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
386 --config-cache | -C)
389 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
391 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
392 | --da=*)
395 -disable-* | --disable-*)
396 ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
398 expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
401 ac_feature=`echo $ac_feature | sed 's/-/_/g'`
404 -enable-* | --enable-*)
405 ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
407 expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
410 ac_feature=`echo $ac_feature | sed 's/-/_/g'`
417 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
418 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
419 | --exec | --exe | --ex)
421 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
422 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
423 | --exec=* | --exe=* | --ex=*)
426 -gas | --gas | --ga | --g)
427 # Obsolete; use --with-gas.
430 -help | --help | --hel | --he | -h)
432 -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
434 -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
437 -host | --host | --hos | --ho)
439 -host=* | --host=* | --hos=* | --ho=*)
442 -includedir | --includedir | --includedi | --included | --include \
443 | --includ | --inclu | --incl | --inc)
445 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
446 | --includ=* | --inclu=* | --incl=* | --inc=*)
449 -infodir | --infodir | --infodi | --infod | --info | --inf)
451 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
454 -libdir | --libdir | --libdi | --libd)
456 -libdir=* | --libdir=* | --libdi=* | --libd=*)
459 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
460 | --libexe | --libex | --libe)
462 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
463 | --libexe=* | --libex=* | --libe=*)
466 -localstatedir | --localstatedir | --localstatedi | --localstated \
467 | --localstate | --localstat | --localsta | --localst \
468 | --locals | --local | --loca | --loc | --lo)
470 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
471 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
472 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
475 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
477 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
480 -nfp | --nfp | --nf)
481 # Obsolete; use --without-fp.
484 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
485 | --no-cr | --no-c | -n)
488 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
489 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
492 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
493 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
494 | --oldin | --oldi | --old | --ol | --o)
496 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
497 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
498 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
501 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
503 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
506 -program-prefix | --program-prefix | --program-prefi | --program-pref \
507 | --program-pre | --program-pr | --program-p)
509 -program-prefix=* | --program-prefix=* | --program-prefi=* \
510 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
513 -program-suffix | --program-suffix | --program-suffi | --program-suff \
514 | --program-suf | --program-su | --program-s)
516 -program-suffix=* | --program-suffix=* | --program-suffi=* \
517 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
520 -program-transform-name | --program-transform-name \
521 | --program-transform-nam | --program-transform-na \
522 | --program-transform-n | --program-transform- \
523 | --program-transform | --program-transfor \
524 | --program-transfo | --program-transf \
525 | --program-trans | --program-tran \
526 | --progr-tra | --program-tr | --program-t)
528 -program-transform-name=* | --program-transform-name=* \
529 | --program-transform-nam=* | --program-transform-na=* \
530 | --program-transform-n=* | --program-transform-=* \
531 | --program-transform=* | --program-transfor=* \
532 | --program-transfo=* | --program-transf=* \
533 | --program-trans=* | --program-tran=* \
534 | --progr-tra=* | --program-tr=* | --program-t=*)
537 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
538 | -silent | --silent | --silen | --sile | --sil)
541 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
543 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
544 | --sbi=* | --sb=*)
547 -sharedstatedir | --sharedstatedir | --sharedstatedi \
548 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
549 | --sharedst | --shareds | --shared | --share | --shar \
550 | --sha | --sh)
552 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
553 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
554 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
555 | --sha=* | --sh=*)
558 -site | --site | --sit)
560 -site=* | --site=* | --sit=*)
563 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
565 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
568 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
569 | --syscon | --sysco | --sysc | --sys | --sy)
571 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
572 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
575 -target | --target | --targe | --targ | --tar | --ta | --t)
577 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
580 -v | -verbose | --verbose | --verbos | --verbo | --verb)
583 -version | --version | --versio | --versi | --vers | -V)
586 -with-* | --with-*)
587 ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
589 expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
592 ac_package=`echo $ac_package| sed 's/-/_/g'`
599 -without-* | --without-*)
600 ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
602 expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
605 ac_package=`echo $ac_package | sed 's/-/_/g'`
608 --x)
609 # Obsolete; use --with-x.
612 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
613 | --x-incl | --x-inc | --x-in | --x-i)
615 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
616 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
619 -x-libraries | --x-libraries | --x-librarie | --x-librari \
620 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
622 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
623 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
626 -*) { echo "$as_me: error: unrecognized option: $ac_option
627 Try \`$0 --help' for more information." >&2
643 echo "$as_me: WARNING: you should use --build, --host, --target" >&2
644 expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
652 if test -n "$ac_prev"; then
653 ac_option=--`echo $ac_prev | sed 's/_/-/g'`
664 *) { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
676 *) { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
682 # used to hold the argument of --host etc.
692 echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
700 test -n "$host_alias" && ac_tool_prefix=$host_alias-
706 if test -z "$srcdir"; then
722 if test ! -r $srcdir/$ac_unique_file; then
728 if test ! -r $srcdir/$ac_unique_file; then
737 (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
775 # Report the --help message.
791 -h, --help display this help and exit
792 --help=short display options specific to this package
793 --help=recursive display the short help of all the included packages
794 -V, --version display version information and exit
795 -q, --quiet, --silent do not print \`checking...' messages
796 --cache-file=FILE cache test results in FILE [disabled]
797 -C, --config-cache alias for \`--cache-file=config.cache'
798 -n, --no-create do not create output files
799 --srcdir=DIR find the sources in DIR [configure dir or \`..']
805 --prefix=PREFIX install architecture-independent files in PREFIX
807 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
812 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
813 for instance \`--prefix=\$HOME'.
818 --bindir=DIR user executables [EPREFIX/bin]
819 --sbindir=DIR system admin executables [EPREFIX/sbin]
820 --libexecdir=DIR program executables [EPREFIX/libexec]
821 --datadir=DIR read-only architecture-independent data [PREFIX/share]
822 --sysconfdir=DIR read-only single-machine data [PREFIX/etc]
823 --sharedstatedir=DIR modifiable architecture-independent data [PREFIX/com]
824 --localstatedir=DIR modifiable single-machine data [PREFIX/var]
825 --libdir=DIR object code libraries [EPREFIX/lib]
826 --includedir=DIR C header files [PREFIX/include]
827 --oldincludedir=DIR C header files for non-gcc [/usr/include]
828 --infodir=DIR info documentation [PREFIX/info]
829 --mandir=DIR man documentation [PREFIX/man]
835 --build=BUILD configure for building on BUILD [guessed]
836 --host=HOST cross-compile to build programs to run on HOST [BUILD]
837 --target=TARGET configure for building compilers for TARGET [HOST]
841 if test -n "$ac_init_help"; then
848 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
850 CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have
852 CPP C preprocessor
861 # If there are subdirs, report their specific --help.
864 test -d $ac_dir || continue
876 .) # No --srcdir option. We are building in place.
878 if test -z "$ac_top_builddir"; then
932 if test -f $ac_srcdir/configure.gnu; then
934 $SHELL $ac_srcdir/configure.gnu --help=recursive
935 elif test -f $ac_srcdir/configure; then
937 $SHELL $ac_srcdir/configure --help=recursive
938 elif test -f $ac_srcdir/configure.ac ||
939 test -f $ac_srcdir/configure.in; then
941 $ac_configure --help
949 test -n "$ac_init_help" && exit 0
972 ## --------- ##
974 ## --------- ##
976 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
977 uname -m = `(uname -m) 2>/dev/null || echo unknown`
978 uname -r = `(uname -r) 2>/dev/null || echo unknown`
979 uname -s = `(uname -s) 2>/dev/null || echo unknown`
980 uname -v = `(uname -v) 2>/dev/null || echo unknown`
982 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
983 /bin/uname -X = `(/bin/uname -X) 2>/dev/null || echo unknown`
986 /usr/bin/arch -k = `(/usr/bin/arch -k) 2>/dev/null || echo unknown`
999 test -z "$as_dir" && as_dir=.
1008 ## ----------- ##
1010 ## ----------- ##
1016 # Strip out --no-create and --no-recursion so they do not pile up.
1017 # Strip out --silent because we don't want to record it for future runs.
1018 # Also quote any args containing shell meta-characters.
1019 # Make two passes to allow for proper duplicate-argument suppression.
1030 -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
1031 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1032 | -silent | --silent | --silen | --sile | --sil)
1045 *=* | --config-cache | -C | -disable-* | --disable-* \
1046 | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
1047 | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
1048 | -with-* | --with-* | -without-* | --without-* | --x)
1053 -* ) ac_must_keep_next=true ;;
1077 ## ---------------- ##
1079 ## ---------------- ##
1087 sed -n \
1092 sed -n \
1100 ## ----------------- ##
1102 ## ----------------- ##
1112 if test -n "$ac_subst_files"; then
1114 ## ------------- ##
1116 ## ------------- ##
1127 if test -s confdefs.h; then
1129 ## ----------- ##
1131 ## ----------- ##
1141 rm -f core *.core &&
1142 rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1151 rm -rf conftest* confdefs.h
1155 # Predefined preprocessor variables.
1184 if test -z "$CONFIG_SITE"; then
1192 if test -r "$ac_site_file"; then
1200 if test -r "$cache_file"; then
1203 if test -f "$cache_file"; then
1221 sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
1270 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1271 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1301 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1302 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1304 if test -n "$ac_tool_prefix"; then
1312 if test -n "$CC"; then
1319 test -z "$as_dir" && as_dir=.
1332 if test -n "$CC"; then
1341 if test -z "$ac_cv_prog_CC"; then
1350 if test -n "$ac_ct_CC"; then
1357 test -z "$as_dir" && as_dir=.
1370 if test -n "$ac_ct_CC"; then
1383 if test -z "$CC"; then
1384 if test -n "$ac_tool_prefix"; then
1392 if test -n "$CC"; then
1399 test -z "$as_dir" && as_dir=.
1412 if test -n "$CC"; then
1421 if test -z "$ac_cv_prog_CC"; then
1430 if test -n "$ac_ct_CC"; then
1437 test -z "$as_dir" && as_dir=.
1450 if test -n "$ac_ct_CC"; then
1464 if test -z "$CC"; then
1472 if test -n "$CC"; then
1480 test -z "$as_dir" && as_dir=.
1509 if test -n "$CC"; then
1518 if test -z "$CC"; then
1519 if test -n "$ac_tool_prefix"; then
1529 if test -n "$CC"; then
1536 test -z "$as_dir" && as_dir=.
1549 if test -n "$CC"; then
1557 test -n "$CC" && break
1560 if test -z "$CC"; then
1571 if test -n "$ac_ct_CC"; then
1578 test -z "$as_dir" && as_dir=.
1591 if test -n "$ac_ct_CC"; then
1599 test -n "$ac_ct_CC" && break
1608 test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
1618 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
1619 (eval $ac_compiler --version </dev/null >&5) 2>&5
1623 { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
1624 (eval $ac_compiler -v </dev/null >&5) 2>&5
1628 { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
1629 (eval $ac_compiler -V </dev/null >&5) 2>&5
1651 # Try to create an executable without -o first, disregard a.out.
1656 ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
1672 test -f "$ac_file" || continue
1687 # maintain Libtool? --akim.
1728 If you meant to cross compile, use \`--host'.
1731 If you meant to cross compile, use \`--host'.
1740 rm -f a.out a.exe conftest$ac_cv_exeext b.out
1761 test -f "$ac_file" || continue
1778 rm -f conftest$ac_cv_exeext
1782 rm -f conftest.$ac_ext
1805 rm -f conftest.o conftest.obj
1829 rm -f conftest.$ac_cv_objext conftest.$ac_ext
1858 rm -f conftest.$ac_objext
1862 grep -v '^ *+' conftest.er1 >conftest.err
1863 rm -f conftest.er1
1867 { ac_try='test -z "$ac_c_werror_flag"
1868 || test ! -s conftest.err'
1874 { ac_try='test -s conftest.$ac_objext'
1887 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
1896 CFLAGS="-g"
1897 echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
1898 echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
1917 rm -f conftest.$ac_objext
1921 grep -v '^ *+' conftest.er1 >conftest.err
1922 rm -f conftest.er1
1926 { ac_try='test -z "$ac_c_werror_flag"
1927 || test ! -s conftest.err'
1933 { ac_try='test -s conftest.$ac_objext'
1946 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
1954 CFLAGS="-g -O2"
1956 CFLAGS="-g"
1960 CFLAGS="-O2"
2001 /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
2004 as 'x'. The following induces an error, until -std1 is added to get
2007 that's true only with -std1. */
2008 int osf4_cc_array ['\x00' == 0 ? 1 : -1];
2024 # Don't try gcc -ansi; that turns off useful extensions and
2026 # AIX -qlanglvl=ansi
2027 # Ultrix and OSF/1 -std1
2028 # HP-UX 10.20 and later -Ae
2029 # HP-UX older versions -Aa -D_HPUX_SOURCE
2030 # SVR4 -Xc -D__EXTENSIONS__
2031 for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
2034 rm -f conftest.$ac_objext
2038 grep -v '^ *+' conftest.er1 >conftest.err
2039 rm -f conftest.er1
2043 { ac_try='test -z "$ac_c_werror_flag"
2044 || test ! -s conftest.err'
2050 { ac_try='test -s conftest.$ac_objext'
2063 rm -f conftest.err conftest.$ac_objext
2065 rm -f conftest.$ac_ext conftest.$ac_objext
2089 rm -f conftest.$ac_objext
2093 grep -v '^ *+' conftest.er1 >conftest.err
2094 rm -f conftest.er1
2098 { ac_try='test -z "$ac_c_werror_flag"
2099 || test ! -s conftest.err'
2105 { ac_try='test -s conftest.$ac_objext'
2135 rm -f conftest.$ac_objext
2139 grep -v '^ *+' conftest.er1 >conftest.err
2140 rm -f conftest.er1
2144 { ac_try='test -z "$ac_c_werror_flag"
2145 || test ! -s conftest.err'
2151 { ac_try='test -s conftest.$ac_objext'
2164 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2180 rm -f conftest.$ac_objext
2184 grep -v '^ *+' conftest.er1 >conftest.err
2185 rm -f conftest.er1
2189 { ac_try='test -z "$ac_c_werror_flag"
2190 || test ! -s conftest.err'
2196 { ac_try='test -s conftest.$ac_objext'
2208 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2210 rm -f conftest*
2211 if test -n "$ac_declaration"; then
2222 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2225 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2226 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2237 echo "$as_me:$LINENO: checking for malloc in -lc" >&5
2238 echo $ECHO_N "checking for malloc in -lc... $ECHO_C" >&6
2243 LIBS="-lc $LIBS"
2266 rm -f conftest.$ac_objext conftest$ac_exeext
2270 grep -v '^ *+' conftest.er1 >conftest.err
2271 rm -f conftest.er1
2275 { ac_try='test -z "$ac_c_werror_flag"
2276 || test ! -s conftest.err'
2282 { ac_try='test -s conftest$ac_exeext'
2295 rm -f conftest.err conftest.$ac_objext \
2306 LIBS="-lc $LIBS"
2313 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2314 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2316 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
2317 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
2319 if test -n "$CPP" && test -d "$CPP"; then
2322 if test -z "$CPP"; then
2327 for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
2333 # with a fresh cross-compiler works.
2336 # On the NeXT, cc -E runs the code through the compiler's parser,
2354 grep -v '^ *+' conftest.er1 >conftest.err
2355 rm -f conftest.er1
2359 if test -s conftest.err; then
2368 if test -z "$ac_cpp_err"; then
2377 rm -f conftest.err conftest.$ac_ext
2379 # OK, works on sane cases. Now check whether non-existent headers
2392 grep -v '^ *+' conftest.er1 >conftest.err
2393 rm -f conftest.er1
2397 if test -s conftest.err; then
2406 if test -z "$ac_cpp_err"; then
2417 rm -f conftest.err conftest.$ac_ext
2421 rm -f conftest.err conftest.$ac_ext
2440 # with a fresh cross-compiler works.
2443 # On the NeXT, cc -E runs the code through the compiler's parser,
2461 grep -v '^ *+' conftest.er1 >conftest.err
2462 rm -f conftest.er1
2466 if test -s conftest.err; then
2475 if test -z "$ac_cpp_err"; then
2484 rm -f conftest.err conftest.$ac_ext
2486 # OK, works on sane cases. Now check whether non-existent headers
2499 grep -v '^ *+' conftest.er1 >conftest.err
2500 rm -f conftest.er1
2504 if test -s conftest.err; then
2513 if test -z "$ac_cpp_err"; then
2524 rm -f conftest.err conftest.$ac_ext
2528 rm -f conftest.err conftest.$ac_ext
2532 { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
2534 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
2541 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2542 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2551 if echo a | (grep -E '(a|b)') >/dev/null 2>&1
2552 then ac_cv_prog_egrep='grep -E'
2585 rm -f conftest.$ac_objext
2589 grep -v '^ *+' conftest.er1 >conftest.err
2590 rm -f conftest.er1
2594 { ac_try='test -z "$ac_c_werror_flag"
2595 || test ! -s conftest.err'
2601 { ac_try='test -s conftest.$ac_objext'
2614 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2633 rm -f conftest*
2654 rm -f conftest*
2659 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
2672 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
2693 rm -f conftest$ac_exeext
2713 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
2756 rm -f conftest.$ac_objext
2760 grep -v '^ *+' conftest.er1 >conftest.err
2761 rm -f conftest.er1
2765 { ac_try='test -z "$ac_c_werror_flag"
2766 || test ! -s conftest.err'
2772 { ac_try='test -s conftest.$ac_objext'
2785 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2828 rm -f conftest.$ac_objext
2832 grep -v '^ *+' conftest.er1 >conftest.err
2833 rm -f conftest.er1
2837 { ac_try='test -z "$ac_c_werror_flag"
2838 || test ! -s conftest.err'
2844 { ac_try='test -s conftest.$ac_objext'
2857 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
2875 grep -v '^ *+' conftest.er1 >conftest.err
2876 rm -f conftest.er1
2880 if test -s conftest.err; then
2889 if test -z "$ac_cpp_err"; then
2897 rm -f conftest.err conftest.$ac_ext
2904 … "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
2905 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
2919 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
2920 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
2925 ## ------------------------------------------ ##
2927 ## ------------------------------------------ ##
2953 if test -z "$HAVE_stdio.h"
2959 if test -z "$HAVE_stdlib.h"
2965 if test -z "$HAVE_stdlib.h"
2971 if test -z "$HAVE_string.h"
2980 if test -f $ac_dir/install-sh; then
2982 ac_install_sh="$ac_aux_dir/install-sh -c"
2984 elif test -f $ac_dir/install.sh; then
2986 ac_install_sh="$ac_aux_dir/install.sh -c"
2988 elif test -f $ac_dir/shtool; then
2990 ac_install_sh="$ac_aux_dir/shtool install -c"
2994 if test -z "$ac_aux_dir"; then
2995 …{ { echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdi…
2996 echo "$as_me: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&2;}
3015 test -z "$ac_cv_build_alias" &&
3017 test -z "$ac_cv_build_alias" &&
3030 build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
3031 build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
3032 build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
3041 test -z "$ac_cv_host_alias" &&
3052 host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
3053 host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
3054 host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
3074 target_cpu=`echo $ac_cv_target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
3075 target_vendor=`echo $ac_cv_target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
3076 target_os=`echo $ac_cv_target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
3081 test -n "$target_alias" &&
3084 program_prefix=${target_alias}-
3087 ARCH_OPTION="-march=$target_cpu"
3103 ARCH_OPTION="-fno-common -faltivec"
3145 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3189 rm -f conftest.$ac_objext conftest$ac_exeext
3193 grep -v '^ *+' conftest.er1 >conftest.err
3194 rm -f conftest.er1
3198 { ac_try='test -z "$ac_c_werror_flag"
3199 || test ! -s conftest.err'
3205 { ac_try='test -s conftest$ac_exeext'
3218 rm -f conftest.err conftest.$ac_objext \
3236 # scripts and configure runs, see configure's option --config-cache.
3241 # the --recheck option to rerun configure.
3258 # `set' does not quote correctly, so add quotes (double-quote
3260 sed -n \
3266 sed -n \
3279 if test -w $cache_file; then
3286 rm -f confcache
3307 DEFS=-DHAVE_CONFIG_H
3340 SHELL=\${CONFIG_SHELL-$SHELL}
3344 ## --------------------- ##
3346 ## --------------------- ##
3349 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
3354 alias -g '${1+"$@"}'='"$@"'
3355 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
3356 set -o posix
3368 # Work around bugs in pre-3.0 UWIN ksh.
3380 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
3432 rm -f conf$$.sh
3449 test -z "$as_dir" && as_dir=.
3450 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
3460 if test ! -f "$as_myself"; then
3471 test -z "$as_dir" && as_dir=.
3475 if ("$as_dir/$as_base" -c '
3495 # line-number line before each line; the second 'sed' does the real
3496 # work. The second script uses 'N' to pair each line-number line
3497 # with the numbered line, and appends trailing '-' during
3500 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
3504 s,$,-,
3508 s,-$,,
3525 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
3526 *c*,-n*) ECHO_N= ECHO_C='
3528 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
3538 rm -f conf$$ conf$$.exe conf$$.file
3540 if ln -s conf$$.file conf$$ 2>/dev/null; then
3543 if test -f conf$$.exe; then
3545 as_ln_s='cp -p'
3547 as_ln_s='ln -s'
3552 as_ln_s='cp -p'
3554 rm -f conf$$ conf$$.exe conf$$.file
3556 if mkdir -p . 2>/dev/null; then
3559 test -d ./-p && rmdir ./-p
3563 as_executable_p="test -f"
3585 # values after options handling. Logging --version etc. is OK.
3589 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
3605 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
3610 if test -n "$ac_config_files"; then
3614 if test -n "$ac_config_headers"; then
3618 if test -n "$ac_config_links"; then
3622 if test -n "$ac_config_commands"; then
3634 -h, --help print this help, then exit
3635 -V, --version print version number, then exit
3636 -q, --quiet do not print progress messages
3637 -d, --debug don't remove temporary files
3638 --recheck update $as_me by reconfiguring in the same conditions
3639 --file=FILE[:TEMPLATE]
3641 --header=FILE[:TEMPLATE]
3650 Report bugs to <bug-autoconf@gnu.org>."
3672 --*=*)
3677 -*)
3692 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
3694 --version | --vers* | -V )
3696 --he | --h)
3697 # Conflict between --help and --header
3699 Try \`$0 --help' for more information." >&5
3701 Try \`$0 --help' for more information." >&2;}
3703 --help | --hel | -h )
3705 --debug | --d* | -d )
3707 --file | --fil | --fi | --f )
3711 --header | --heade | --head | --hea )
3715 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
3716 | -silent | --silent | --silen | --sile | --sil | --si | --s)
3720 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
3721 Try \`$0 --help' for more information." >&5
3723 Try \`$0 --help' for more information." >&2;}
3736 ac_configure_extra_args="$ac_configure_extra_args --silent"
3742 …echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursio…
3743 exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
3780 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
3787 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
3788 test -n "$tmp" && test -d "$tmp"
3791 tmp=./confstat$$-$RANDOM
3809 if test -n "\$CONFIG_FILES"; then
3877 # Split the substitutions into bite-sized pieces for seds with
3878 # small command number limits, like on Digital OSF/1 and HP-UX.
3886 if test $ac_beg -gt 1; then
3891 if test ! -s $tmp/subs.frag; then
3899 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
3900 if test -z "$ac_sed_cmds"; then
3901 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
3903 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
3910 if test -z "$ac_sed_cmds"; then
3913 fi # test -n "$CONFIG_FILES"
3920 - | *:- | *:-:* ) # input from stdin
3943 mkdir -p "$ac_dir"
3947 while test ! -d "$as_dir"; do
3962 test ! -n "$as_dirs" || mkdir $as_dirs
3978 .) # No --srcdir option. We are building in place.
3980 if test -z "$ac_top_builddir"; then
4034 if test x"$ac_file" != x-; then
4037 rm -f "$ac_file"
4042 if test x"$ac_file" = x-; then
4055 -) echo $tmp/stdin ;;
4057 # Absolute (can't be DOS-style, as IFS=:)
4058 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
4063 if test -f "$f"; then
4066 elif test -f "$srcdir/$f"; then
4084 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
4095 rm -f $tmp/stdin
4096 if test x"$ac_file" != x-; then
4100 rm -f $tmp/out
4128 - | *:- | *:-:* ) # input from stdin
4137 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
4145 -) echo $tmp/stdin ;;
4147 # Absolute (can't be DOS-style, as IFS=:)
4148 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
4154 if test -f "$f"; then
4157 elif test -f "$srcdir/$f"; then
4180 rm -f conftest.defines conftest.undefs
4185 # 0-ary CPP macros) applies to n-ary macro definitions.
4199 # sort them, since we want the *last* AC-DEFINE to be honored.
4200 uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
4202 rm -f confdef2sed.sed
4208 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
4217 rm -f conftest.tail
4220 # Write a limited-size here document to $tmp/defines.sed.
4224 # Work around the forget-to-reset-the-flag bug.
4229 sed -f $tmp/defines.sed $tmp/in >$tmp/out
4230 rm -f $tmp/in
4234 rm -f conftest.defines
4237 rm -f conftest.defines
4244 rm -f conftest.tail
4247 # Write a limited-size here document to $tmp/undefs.sed.
4251 # Work around the forget-to-reset-the-flag bug.
4256 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
4257 rm -f $tmp/in
4261 rm -f conftest.undefs
4264 rm -f conftest.undefs
4270 if test x"$ac_file" = x-; then
4276 rm -f $tmp/in
4277 if test x"$ac_file" != x-; then
4295 mkdir -p "$ac_dir"
4299 while test ! -d "$as_dir"; do
4314 test ! -n "$as_dirs" || mkdir $as_dirs
4319 rm -f $ac_file
4324 rm -f $tmp/config.h
4349 ac_config_status_args="$ac_config_status_args --quiet"